1

We are having issues with the execution of PowerShell scripts that have security permissions based on roles applied to them, when they are executed from within a context menu within Content Editor.

When the script is clicked, the script window does not open, and the page is refreshed and reset to the root.

This is only happening for Azure Active Directory users. If we use regular Sitecore user accounts that are members of the required roles, they are able to execute the scripts without any problems. We are using PowerShell Extensions 5.0.

2

After doing some research, we discovered the following PR targeted at version 6.2 https://github.com/SitecorePowerShell/Console/pull/1227. We applied the fix to our 5.0 version, and it worked.

0

This issue has been logged here and the response is

The purpose of the Elevated Access is to (optionally) require the user to input a password. If the developer or admin would not know the password then there is little value in using this feature.

1
  • The issue reported by Martin has nothing to do with Elevated Access Mar 4 at 11:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.